System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.HttpWebClientProtocol

This class specifies most of the implementation for communicating with an XML Web service over HTTP using encoders to encode the parameters and return values into common MIME formats. These encoders derive from the class. By default, a proxy class deriving from encodes parameters using the application/x-www-form-urlencoded MIME type and the response in plain XML. Custom mime formatters can be specified using the attribute, however, there is no support for integrating this into a service description and proxy generation.

Notes to Inheritors: When you override this class, you can introduce methods in the derived class that are specific to a particular type of an XML Web service. The methods simply capture the parameters, and call the base class to do the work of communicating with the site. If the introduced methods are asynchronous, call the and methods. If the introduced methods are synchronous, call the method. The overridden constructor typically sets the property to the URI of the XML Web service method.

The Web Services Description Language tool (Wsdl.exe) generates derived classes of for a given Service Description.

Represents the base class for communicating with an XML Web service using the simple HTTP-GET and HTTP-POST protocols bindings.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.IAsyncResult `` `` `` `` ``

  The parameter is used to find the types of the parameters and return values of the method that is invoking the method. It is also used to find custom attributes that may have been added to the method. , , and provide additional information on the derived method that is required for the HTTP protocol.

  is passed into and is included in the that is returned from the method. It is useful for passing information from the context of the asynchronous call to the handling of the asynchronous result in .

  Starts an asynchronous invocation of a method of an XML Web service.

  An that can be passed to the method to obtain the return values from the XML Web service method.

  The name of the XML Web service method. The URL to use when creating the . An array of objects containing the parameters to pass to the XML Web service method. The order of the values in the array corresponds to the order of the parameters in the calling method of the derived class. The delegate to call when the asynchronous method call is complete. If is null, the delegate is not called. The additional information supplied by a client. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` To be added

  Completes asynchronous invocation of an XML Web service method using HTTP.

  An array of objects containing the return value and any by reference or parameters for the XML Web service method.

  The returned from the method. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` ``

  The parameter is used to find the types of the parameters and return values of the method that is invoking the method. It is also used to find custom attributes which may have been added to the method. and provide additional information on the derived method that is required for the SOAP protocol.

  Invokes an XML Web service method using HTTP.

  An array of objects containing the return value and any by-reference or parameters of the derived class method.

  The name of the XML Web service method in the derived class that is invoking the method. The URL of the XML Web service method that the client is requesting. An array of objects containing the parameters to pass to the remote XML Web service. The order of the values in the array corresponds to the order of the parameters in the calling method of the derived class. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added.

  Invokes the specified method asynchronously.

  The name of the method to invoke. The request URL of the invoked web service. The parameters to pass to the method. The delegate called when the method invocation has completed.
- Method
  2.0.0.0
  System.Void `` `` `` `` `` To be added.

  Invokes the specified method asynchronously while maintaining an associated state.

  The name of the method to invoke. The request URL of the invoked web service. The parameters to pass to the method. The delegate called when the method invocation has completed. An object containing associated state information that is passed to the delegate when the method has completed.
System.Runtime.InteropServices.ComVisible(true)